Attribute Templates
Update attribute template
Updates an existing attribute template including its name, key, type, fields, and resource associations. If a field with the same key already exists, it will be updated rather than duplicated.
PATCH
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
attributes
/
{attribute_template_key}
Update attribute template
curl --request PATCH \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"key": "<string>",
"name": "<string>"
}
],
"filterable": true,
"key": "<string>",
"name": "<string>",
"resources": [
"<string>"
],
"translatable": true,
"type": "<string>"
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}"
payload = {
"fields": [
{
"key": "<string>",
"name": "<string>"
}
],
"filterable": True,
"key": "<string>",
"name": "<string>",
"resources": ["<string>"],
"translatable": True,
"type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [{key: '<string>', name: '<string>'}],
filterable: true,
key: '<string>',
name: '<string>',
resources: ['<string>'],
translatable: true,
type: '<string>'
})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
[
'key' => '<string>',
'name' => '<string>'
]
],
'filterable' => true,
'key' => '<string>',
'name' => '<string>',
'resources' => [
'<string>'
],
'translatable' => true,
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}"
payload := strings.NewReader("{\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"filterable\": true,\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"resources\": [\n \"<string>\"\n ],\n \"translatable\": true,\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"filterable\": true,\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"resources\": [\n \"<string>\"\n ],\n \"translatable\": true,\n \"type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"filterable\": true,\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"resources\": [\n \"<string>\"\n ],\n \"translatable\": true,\n \"type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"created_at": "<string>",
"fields": [
{
"created_at": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "<string>",
"updated_at": "<string>"
}
],
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"resources": [
"<string>"
],
"translatable": true,
"type": "<string>",
"updated_at": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Path Parameters
App slug
Team slug
Key of the attribute template
Body
application/json
Attribute data
⌘I
Update attribute template
curl --request PATCH \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"key": "<string>",
"name": "<string>"
}
],
"filterable": true,
"key": "<string>",
"name": "<string>",
"resources": [
"<string>"
],
"translatable": true,
"type": "<string>"
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}"
payload = {
"fields": [
{
"key": "<string>",
"name": "<string>"
}
],
"filterable": True,
"key": "<string>",
"name": "<string>",
"resources": ["<string>"],
"translatable": True,
"type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [{key: '<string>', name: '<string>'}],
filterable: true,
key: '<string>',
name: '<string>',
resources: ['<string>'],
translatable: true,
type: '<string>'
})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
[
'key' => '<string>',
'name' => '<string>'
]
],
'filterable' => true,
'key' => '<string>',
'name' => '<string>',
'resources' => [
'<string>'
],
'translatable' => true,
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}"
payload := strings.NewReader("{\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"filterable\": true,\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"resources\": [\n \"<string>\"\n ],\n \"translatable\": true,\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"filterable\": true,\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"resources\": [\n \"<string>\"\n ],\n \"translatable\": true,\n \"type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fields\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"filterable\": true,\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"resources\": [\n \"<string>\"\n ],\n \"translatable\": true,\n \"type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"created_at": "<string>",
"fields": [
{
"created_at": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "<string>",
"updated_at": "<string>"
}
],
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"resources": [
"<string>"
],
"translatable": true,
"type": "<string>",
"updated_at": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}